Skip to main content
GET
/
v1
/
opportunities
List opportunities
curl --request GET \
  --url https://api.octolane.com/v1/opportunities \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "message": "<string>",
  "data": {
    "custom_field_definitions": {
      "last_action_date": {
        "current_name": "Last Action Date",
        "property_name": "custom__last_action_date",
        "attribute_type": "date",
        "metadata": null
      },
      "kola": {
        "current_name": "Kola",
        "property_name": "custom__kola",
        "attribute_type": "multi_select",
        "metadata": {
          "options": [
            {
              "label": "E",
              "value": "e-532837",
              "color": "indigo"
            }
          ]
        }
      }
    },
    "has_more": true,
    "next_cursor": "<string>",
    "limit": 123,
    "opportunities": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "stage_name": "<string>",
        "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "additional_contacts": [
          {
            "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "contact_first_name": "<string>",
            "contact_last_name": "<string>",
            "contact_email": "jsmith@example.com"
          }
        ],
        "custom_fields": {}
      }
    ]
  }
}

Authorizations

x-api-key
string
header
required

Public API key for the Octolane organization.

Query Parameters

pipeline_id
string
required

Pipeline ID. Required for opportunity reads.

stage_id
string

Optional stage ID.

q
string

Free-text search query.

cursor
string

Opaque pagination cursor returned by a previous page.

limit
integer

Maximum number of records.

Required range: 1 <= x <= 500
fields

Optional fields to include. Accepts a comma-separated string or repeated array values.

Response

Opportunities were returned.

success
boolean
Example:

true

message
string
data
object

Endpoint-specific response payload.